import { b8 as Json } from './disposer-daaac5e8';
import { L as LogLevel, b as LogHandler } from './log-94b534a3';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

declare function isLocalHost(hostname?: string): boolean;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: Json): void;
    getItem(key: string): Json | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

/** @deprecated */
declare function LoggerBrowserClassicHandler(level?: LogLevel, opt?: {
    colors: boolean;
    levelHelper: boolean;
    nameBrackets: boolean;
}): LogHandler;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

export { LocalStorageOptions as L, LocalStorage as a, LoggerBrowserClassicHandler as b, selectColor as c, gravatarURLByEmail as g, isLocalHost as i, supportsColors as s, urlBase64ToUint8Array as u };
